Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2017-16532

Published: 3 November 2017

The get_endpoints function in drivers/usb/misc/usbtest.c in the Linux kernel through 4.13.11 allows local users to cause a denial of service (NULL pointer dereference and system crash) or possibly have unspecified other impact via a crafted USB device.

From the Ubuntu Security Team

Andrey Konovalov discovered that the usbtest device driver in the Linux kernel did not properly validate endpoint metadata. A physically proximate attacker could use this to cause a denial of service (system crash).

Priority

Low

Cvss 3 Severity Score

6.6

Score breakdown

Status

Package Release Status
linux-linaro-omap
Launchpad, Ubuntu, Debian
cosmic Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-linaro-shared
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-linaro-vexpress
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-lts-quantal
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
This package is not directly supported by the Ubuntu Security Team
linux-lts-raring
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-lts-saucy
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
This package is not directly supported by the Ubuntu Security Team
linux-lts-trusty
Launchpad, Ubuntu, Debian
artful Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
cosmic Does not exist

linux-lts-utopic
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [end of standard support])
xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-lts-vivid
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Ignored
(end of life, was needs-triage)
xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-lts-wily
Launchpad, Ubuntu, Debian
trusty Does not exist
(trusty was ignored [end of standard support])
xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
artful Does not exist

cosmic Does not exist

linux
Launchpad, Ubuntu, Debian
artful
Released (4.13.0-38.43)
cosmic Not vulnerable
(4.15.0-20.21)
trusty
Released (3.13.0-157.207)
xenial
Released (4.4.0-119.143)
zesty Ignored
(end of life)
bionic Not vulnerable
(4.15.0-10.11)
upstream
Released (4.14~rc5)
Patches:
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by 7c80f9e4a588f1925b07134bb2e3689335f6c6d8
linux-armadaxp
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
This package is not directly supported by the Ubuntu Security Team
linux-azure
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Not vulnerable
(4.15.0-1009.9)
trusty Not vulnerable
(4.15.0-1023.24~14.04.1)
xenial
Released (4.13.0-1014.17)
zesty Does not exist

bionic Not vulnerable
(4.15.0-1002.2)
upstream
Released (4.14~rc5)
linux-azure-edge
Launchpad, Ubuntu, Debian
cosmic Does not exist

trusty Does not exist

xenial Not vulnerable
(4.15.0-1002.2)
bionic Not vulnerable
(4.18.0-1003.3~18.04.1)
upstream
Released (4.14~rc5)
linux-euclid
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Ignored
(was needed ESM criteria)
zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-flo
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

xenial Ignored
(abandoned)
zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
trusty Does not exist
(trusty was ignored [abandoned])
linux-gcp
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Not vulnerable
(4.15.0-1006.6)
trusty Does not exist

xenial
Released (4.13.0-1012.16)
zesty Does not exist

bionic Not vulnerable
(4.15.0-1001.1)
upstream
Released (4.14~rc5)
linux-gke
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial Ignored
(end of standard support, was needed)
zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-hwe
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial
Released (4.13.0-38.43~16.04.1)
zesty Does not exist

upstream
Released (4.14~rc5)
bionic Not vulnerable

linux-hwe-edge
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty Does not exist

xenial
Released (4.13.0-38.43~16.04.1)
zesty Does not exist

bionic Not vulnerable
(4.18.0-8.9~18.04.1)
upstream
Released (4.14~rc5)
linux-kvm
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Not vulnerable
(4.15.0-1008.8)
trusty Does not exist

xenial
Released (4.4.0-1020.25)
zesty Does not exist

bionic Not vulnerable
(4.15.0-1002.2)
upstream
Released (4.14~rc5)
linux-goldfish
Launchpad, Ubuntu, Debian
bionic Does not exist

upstream
Released (4.14~rc5)
artful Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
xenial Ignored
(end of life, was needed)
zesty Ignored
(end of life)
linux-grouper
Launchpad, Ubuntu, Debian
upstream
Released (4.14~rc5)
bionic Does not exist

artful Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
xenial Does not exist

zesty Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
artful Does not exist

cosmic Does not exist

trusty
Released (4.4.0-119.143~14.04.1)
xenial Does not exist

zesty Does not exist

bionic Does not exist

upstream
Released (4.14~rc5)
linux-aws
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(4.15.0-1001.1)
upstream
Released (4.14~rc5)
artful Does not exist

cosmic Not vulnerable
(4.15.0-1007.7)
trusty
Released (4.4.0-1016.16)
xenial
Released (4.4.0-1054.63)
zesty Does not exist

linux-maguro
Launchpad, Ubuntu, Debian
bionic Does not exist

upstream
Released (4.14~rc5)
artful Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
xenial Does not exist

zesty Does not exist

linux-mako
Launchpad, Ubuntu, Debian
bionic Does not exist

upstream
Released (4.14~rc5)
artful Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
xenial Ignored
(abandoned)
zesty Does not exist

linux-manta
Launchpad, Ubuntu, Debian
bionic Does not exist

upstream
Released (4.14~rc5)
artful Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
xenial Does not exist

zesty Does not exist

linux-raspi2
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(4.15.0-1006.7)
upstream
Released (4.14~rc5)
artful
Released (4.13.0-1016.17)
cosmic Not vulnerable
(4.15.0-1010.11)
trusty Does not exist

xenial
Released (4.4.0-1086.94)
zesty Ignored
(end of life)
linux-snapdragon
Launchpad, Ubuntu, Debian
bionic Not vulnerable

upstream
Released (4.14~rc5)
artful
Released (4.4.0-1088.93)
cosmic Does not exist

trusty Does not exist

xenial
Released (4.4.0-1088.93)
zesty Ignored
(end of life)
linux-oem
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(4.15.0-1002.3)
upstream
Released (4.14~rc5)
artful Does not exist

cosmic Not vulnerable
(4.15.0-1004.5)
trusty Does not exist

xenial
Released (4.13.0-1022.24)
zesty Does not exist

linux-qcm-msm
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist

upstream
Released (4.14~rc5)
xenial Does not exist

zesty Does not exist

linux-ti-omap4
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist

upstream
Released (4.14~rc5)
xenial Does not exist

zesty Does not exist

Severity score breakdown

Parameter Value
Base score 6.6
Attack vector Physical
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.0/AV:P/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H